"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = asyncPkceChallenge;

var _common = require("../utils/common");

var _asyncRandomBytes = _interopRequireDefault(require("./async-random-bytes"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function generateVerifier() {
  return new Promise(resolve => {
    (0, _asyncRandomBytes.default)().then(bytes => {
      resolve((0, _common.base64UrlEncode)(bytes));
    });
  });
}

function asyncPkceChallenge() {
  return new Promise(resolve => {
    generateVerifier().then(verifier => {
      const challenge = (0, _common.generateChallenge)(verifier);
      resolve({
        codeChallenge: challenge,
        codeVerifier: verifier
      });
    });
  });
}
//# sourceMappingURL=async-pkce-challenge.js.map