"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = pkceChallenge;

var _common = require("../utils/common");

var _syncRandomBytes = _interopRequireDefault(require("./sync-random-bytes"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function generateVerifier() {
  const bytes = (0, _syncRandomBytes.default)();
  return (0, _common.base64UrlEncode)(bytes);
}

function pkceChallenge() {
  const verifier = generateVerifier();
  const challenge = (0, _common.generateChallenge)(verifier);
  return {
    codeChallenge: challenge,
    codeVerifier: verifier
  };
}
//# sourceMappingURL=sync-pkce-challenge.js.map