"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.isExpo = exports.getRandomBytesAsync = exports.getRandomBytes = exports.Buffer = void 0;

/**
 * Detecting if running on Expo: https://github.com/expo/fyi/blob/master/expo-extension-migration.md
 */
// eslint-disable-next-line import/no-mutable-exports
let Buffer = null; // eslint-disable-next-line import/no-mutable-exports

exports.Buffer = Buffer;
let getRandomBytes = null; // eslint-disable-next-line import/no-mutable-exports

exports.getRandomBytes = getRandomBytes;
let getRandomBytesAsync = null; // eslint-disable-next-line import/no-mutable-exports

exports.getRandomBytesAsync = getRandomBytesAsync;
let isExpo = false;
exports.isExpo = isExpo;

try {
  // eslint-disable-next-line global-require
  const executionEnvironment = require('expo-constants').ExecutionEnvironment; // eslint-disable-next-line global-require


  exports.Buffer = Buffer = require('buffer').Buffer; // eslint-disable-next-line global-require

  exports.getRandomBytes = getRandomBytes = require('expo-random').getRandomBytes; // eslint-disable-next-line global-require

  exports.getRandomBytesAsync = getRandomBytesAsync = require('expo-random').getRandomBytesAsync;
  exports.isExpo = isExpo = executionEnvironment.Standalone === 'standalone' || executionEnvironment.StoreClient === 'storeClient'; // eslint-disable-next-line no-empty
} catch {}
//# sourceMappingURL=expo-modules.js.map