import { base64UrlEncode, generateChallenge } from '../utils/common';
import generateRandomBytes from './async-random-bytes';

function generateVerifier() {
  return new Promise(resolve => {
    generateRandomBytes().then(bytes => {
      resolve(base64UrlEncode(bytes));
    });
  });
}

export default function asyncPkceChallenge() {
  return new Promise(resolve => {
    generateVerifier().then(verifier => {
      const challenge = generateChallenge(verifier);
      resolve({
        codeChallenge: challenge,
        codeVerifier: verifier
      });
    });
  });
}
//# sourceMappingURL=async-pkce-challenge.js.map