import { base64UrlEncode, generateChallenge } from '../utils/common';
import generateRandomBytes from './sync-random-bytes';

function generateVerifier() {
  const bytes = generateRandomBytes();
  return base64UrlEncode(bytes);
}

export default function pkceChallenge() {
  const verifier = generateVerifier();
  const challenge = generateChallenge(verifier);
  return {
    codeChallenge: challenge,
    codeVerifier: verifier
  };
}
//# sourceMappingURL=sync-pkce-challenge.js.map